function onPrimaryAttack()
	_RunString("ShockBeam("..Owner..")")
end

function onSecondaryAttack()
	_RunString("ShockBall("..Owner..")")
end

function Deploy() end
function Holster() end
function onReload() return true end
function getPrimaryShotDelay() return 0.865 end
function getPrimaryIsAutomatic() return true end
function getBulletSpread() return vector3(0.0, 0.0, 0.0) end
function getViewKick() return vector3(0.0, 0.0, 0.0) end
function getViewKickRandom() return vector3(0.0, 0.0, 0.0) end
function getNumShotsPrimary() return 1 end
function getPrimaryAmmoType() return "pistol" end
function getMaxClipPrimary()return -1 end
function getDefClipPrimary()return 0 end
function getDamageSecondary() return 10 end
function getSecondaryShotDelay() return 0.865 end
function getSecondaryIsAutomatic() return false end
function getBulletSpreadSecondary() return vector3(0.000, 0.000, 0.000) end
function getViewKickSecondary() return vector3(0.0, 0.0, 0.0) end
function getViewKickRandomSecondary() return vector3(0.0, 0.0, 0.0) end
function getNumShotsSecondary() return 1 end
function getSecondaryAmmoType() return "pistol" end
function getMaxClipSecondary() return -1 end
function getDefClipSecondary() return 0 end
function getViewModel() return "models/weapons/v_physics.mdl" end
function getWorldModel() return "models/weapons/w_physics.mdl" end
function getClassName() return "weapon_shockrifle" end
function getHUDMaterial() return "gmod/SWEP/default" end
function getDeathIcon() return "swep_default" end
function getWeaponSwapHands() return false end
function getWeaponFOV() return 70 end
function getWeaponSlot() return 5 end
function getWeaponSlotPos() return 2 end
function getFiresUnderwater() return true end
function getAnimPrefix() return "pistol" end
function getPrintName() return "Shock Beam" end
function getPrimaryScriptOverride() return 3 end
function getSecondaryScriptOverride() return 2 end
